/*********************************************************************************
Licence for Tibw - Tibetan printing software

Copyright (c) 1985-2012 Edward Henning

Permission is hereby granted, free of charge, to any person  obtaining a copy of
this software and associated documentation files (the "Software"), to deal in the
Software without restriction, including without limitation the rights to use,
copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the
Software, and to permit persons to whom the Software is furnished to do so, subject
to the following conditions:

The above copyright notice and this permission notice shall be included in all copies
or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE
OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
************************************************************************************/
struct	ps_map	f37_pa[95] = {
6, 8,   //33
10, 8, 
5, 8, 
4, 12, 
12, 8, 
8, 12, 
7, 10, 
11, 11, 
10, 11, 
12, 12, 
12, 12, 
10, 10, 
10, 10, 
12, 12, 
12, 12, 
16, 8, 
11, 9,  
10, 10, // 50
16, 8, 
13, 8, 
12, 7, 
12, 8, 
10, 8, 
7, 8, 
10, 8, 
7, 8, 
13, 8, 
13, 8, 
4, 5, 
5, 8, 
11, 10,
8, 6, 
5, 7, 
7, 6, 
5, 6, 
2, 7, 
7, 2, 
6, 6, 
9, 13, 
0, 0, 
6, 7, 
0, 0, 
10, 10, // 75
10, 11, 
6, 8, 
10, 8, 
5, 8, 
4, 12, 
12, 8, 
10, 12, 
7, 10, 
13, 8, 
10, 11, 
11, 12, 
12, 12, 
9, 11, 
10, 10, 
12, 12, 
12, 11, 
16, 8, 
12, 8, 
10, 10, 
16, 8, 
13, 8, 
13, 8, 
12, 8, 
10, 8,  
7, 8,   // 100
10, 8, 
7, 8, 
12, 8, 
12, 8, 
4, 5, 
5, 8, 
9, 12, 
12, 12, 
5, 6, 
7, 6, 
5, 6, 
2, 7, 
7, 2, 
5, 7, 
9, 12, 
0, 0, 
6, 7, 
9, 12, 
24, 24,
7, 2,   // 120
10, 10, 
12, 9,  
10, 8,  
10, 8,
7, 4, 
11, 12 };

struct	ps_map	f38_pa[61] = {
11, 11, 
10, 11, 
12, 8, 
8, 12, 
12, 10, 
6, 8, 
5, 8, 
12, 8, 
16, 8, 
5, 8, 
2, 7, 
10, 4, 
7, 4, 
11, 7, 
24, 24, 
24, 24, 
10, 10, 
9, 9,   // 50
7, 6, 
9, 11, 
5, 6, 
7, 5, 
11, 7, 
17, 8, 
5, 8, 
12, 11, 
26, 9, 
9, 12, 
2, 7, 
10, 6, 
12, 9, 
12, 10, 
12, 11, 
12, 8, 
13, 9, 
8, 10, 
11, 7, 
11, 7,
9, 11, 
12, 10, 
1, 1, 
1, 0, 
12, 22,  // 75
10, 21, 
24, 24, 
24, 24, 
0, 0, 
0, 8, 
6, 8, 
5, 36, 
6, 34, 
16, 21, 
12, 17, 
12, 13,  // 86 - sbrul shad
11, 24, 
24, 24, 
11, 12, 
7, 12,   // 90
6, 8, 
7, 8 
};

struct	ps_map	f37_pb[95] = {
4, 5, 
7, 5, 
3, 5, 
3, 8, 
8, 5, 
5, 8, 
5, 6, 
7, 7, 
7, 7, 
8, 8, 
8, 8, 
7, 6, 
7, 6, 
8, 8, 
8, 8, 
11, 5, 
7, 6, 
7, 6, 
11, 5, 
9, 5, 
8, 4, 
8, 5, 
7, 5, 
5, 5, 
7, 5, 
5, 5, 
9, 5, 
9, 5, 
3, 3, 
3, 5, 
7, 6, 
5, 4, 
3, 4, 
5, 4, 
3, 4, 
1, 4, 
5, 1, 
4, 4, 
6, 8, 
0, 0, 
4, 4, 
0, 0, 
7, 6, 
7, 7, 
4, 5, 
7, 5, 
3, 5, 
3, 8, 
8, 5, 
7, 8, 
5, 6, 
9, 5, 
7, 7, 
7, 8, 
8, 8, 
6, 7, 
7, 6, 
8, 8, 
8, 7, 
11, 5, 
8, 5, 
7, 6, 
11, 5, 
9, 5, 
9, 5, 
8, 5, 
7, 5, 
5, 5, 
7, 5, 
5, 5, 
8, 5, 
8, 5, 
3, 3, 
3, 5, 
6, 8, 
8, 8, 
3, 4, 
5, 4, 
3, 4, 
1, 4, 
5, 1, 
3, 4, 
6, 8, 
0, 0, 
4, 4, 
6, 8, 
16, 16, 
5, 1, 
7, 6, 
8, 6, 
7, 5, 
7, 5, 
5, 2, 
7, 8 
};

struct	ps_map	f38_pb[61] = {
7, 7, 
7, 7, 
8, 5, 
5, 8, 
8, 6, 
4, 5, 
3, 5, 
8, 5, 
11, 5, 
3, 5, 
1, 4, 
7, 2, 
5, 2, 
7, 4, 
16, 16, 
16, 16, 
7, 6, 
6, 6, 
5, 4, 
6, 7, 
3, 4, 
5, 3, 
7, 4, 
11, 5, 
3, 5, 
8, 7, 
17, 6, 
6, 8, 
1, 4, 
7, 4, 
8, 6, 
8, 6, 
8, 7, 
8, 5, 
9, 6, 
5, 6, 
7, 4, 
7, 4, 
6, 7, 
8, 6, 
1, 0, 
1, 0, 
8, 14, 
7, 14, 
16, 16, 
16, 16, 
0, 0, 
0, 5, 
4, 5, 
3, 24, 
4, 22, 
11, 14, 
8, 11, 
8, 8, 
7, 16, 
16, 16, 
7, 8, 
5, 8, 
4, 5, 
5, 5 
};

